{% extends 'static_user.html' %} {% block content %}
<title>Manajemen User</title>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
<nav class="navbar navbar-expand-lg navbar-light bg-light" style="background-color: #a8d3f1;">
    <a class="navbar-brand" href="/" style="color:#20a9f8;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">SI<span class="navbar-brand" style="color:#F8241C;
    font-family: 'Poppins', sans-serif;
    font-size: 30px;
    font-weight: 600;">RAD</span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Users
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/user/add-user">Create User</a>
                    <a class="dropdown-item" href="/user/list-user">List User</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Dokter
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Grooming
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/user/list-produk">Layanan Master Data</a>
                    <a class="dropdown-item" href="#">List Appointment</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Event
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="/event">List Event</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Adopsi
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">List Adopsi</a>
                </div>
            </li>
            <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            Statistik
          </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="#">Statistik Dokter</a>
                    <a class="dropdown-item" href="#">Statistik Grooming</a>
                    <a class="dropdown-item" href="#">Statistik Event</a>
                    <a class="dropdown-item" href="#">Statistik Adopsi</a>
                </div>
            </li>
        </ul>
        <ul class="navbar-nav">
            <li class="nav-item">
                <a class="nav-link" href="/profile/read-profile/{{ username }}">Profile</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">Logout</a>
            </li>
        </ul>
    </div>
</nav>
<br><br>
<main id="main">
    <section>
        <div class="container-fluid">
            <h1 style="color:#080808;
    font-family: 'Poppins', sans-serif;
    font-size: 40px;
    font-weight: 600;" class="text-center">
                Manajemen User SIRAD
            </h1>
            <br>
            <div class="row justify-content-center">
                <div class="col-md-6">
                    <div class="card">
                        <div class="card-header" style="color:#080808;
                font-family: 'Poppins', sans-serif;
                font-size: 20px; font-weight: bold;">
                            Create New User
                        </div>
                        <div class="card-body">
                            <form class="user" method="POST">
                                {% csrf_token %} {% if form.errors %}
                                <div class="alert alert-danger" role="alert">
                                    {{ form.non_field_errors }}
                                </div>
                                {% endif %}
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Username:</label>
                                        <div class="col-sm-8">
                                            <input type="text" name="{{ form.username.name }}" class="form-control" id="username" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">First Name:</label>
                                        <div class="col-sm-8">
                                            <input type="text" name="{{ form.first_name.name }}" class="form-control" id="first_name" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Last Name:</label>
                                        <div class="col-sm-8">
                                            <input type="text" name="{{ form.last_name.name }}" class="form-control" id="last_name" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Email:</label>
                                        <div class="col-sm-8">
                                            <input type="email" name="{{ form.email.name }}" class="form-control" id="email" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Nomor Telepon:</label>
                                        <div class="col-sm-8">
                                            <input type="number" name="{{ form.no_telepon.name }}" class="form-control" id="no_telepon" required>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Role:</label>
                                        <div class="col-sm-8">
                                            <select id="role" name="{{ form.role.name }}" class="form-select form-select-sm" aria-label=".form-select-sm example" required>
                                        <option selected value="">Pilih Role</option>
                                        <option value="Admin">Admin</option>
                                        <option value="Dokter">Dokter</option>
                                        <option value="Groomer">Groomer</option>
                                        <option value="Karyawan">Karyawan</option>
                    
                                    </select>
                                            <!-- <input type="text" name="{{ form.role.name }}" class="form-control" id="role" required> -->

                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row mt-4">
                                        <label class="col-sm-4">Password:</label>

                                        <div class="col-sm-8">
                                            <input type="password" name="{{ form.password.name }}" class="form-control" id="password" style="position:relative;" required>
                                            <span class="far fa-eye" id="togglePassword" style="position:absolute; right:30px;top:11px; cursor: pointer;"></span>
                                            <!-- </label> -->
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn-primary px-4" type="submit">Create</button>
                                <button type="button" onclick="history.back()" class="btn btn-secondary" style="font-family: 'Poppins', sans-serif;">Back</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<script>
    const togglePassword = document.querySelector('#togglePassword');
    const password = document.querySelector('#password');

    togglePassword.addEventListener('click', function(e) {
        // toggle the type attribute
        const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
        password.setAttribute('type', type);
        // toggle the eye slash icon
        this.classList.toggle('fa-eye-slash');
    });
</script>
{% endblock %}